protected override void RafraichirHistorique(Module.Contracts.IExecutionContext context)
{   
    //Vider la liste historique             
    this.historique.Items.Clear();

    //Récupération de tous les formulaires à afficher             
    var historique = ModuleAPI.DominhoService.SelectForms<MMS>(
    MMS.PatientId_field == EditionContext.ContextData.PatientId,
    new Module.Contracts.Query.QueryLoadSettings() { LimitToCurrentSpeciality = false, MaxResult = int.MaxValue },
    MMS.DateFonctionnelle_field.Descending);

    if (historique != null && historique.Count() > 0)
    {
        foreach (var item in historique.OrderBy(i => i.DateCreation))
        {
            var ligneHisto = new References.Grille_de_scores___externe.Entete_scores.Model_Historique(EditionContext);

            //id de la fiche à ouvrir avec le lien hypertexte(inclusion de la vue historique) -- important                     
            ligneHisto.id_fiche.Value = item.Id;

            //score calculé : score / score total(inclusion de la vue historique)                     
            ligneHisto.score.Value = item.non_realisable ? "Non réalisable" : item.total_calcule.Value.ToString() + " /30";

            // Ajout du score dans le graphique                     
            if (!item.non_realisable) // Ajout du score dans les ordonnés                         
                ligneHisto.score_graphique_1.Value = item.total_calcule.HasValue ? item.total_calcule.Value : 0;

            // Ajout de la date dans les abscisses                     
            ligneHisto.date_eval_historique.Value = item.entete.date_evaluation;
            if (item.entete.intervenant.HasValue)
            {
                var intervenants = ModuleAPI.EasilyService.GetIntervenants(new int[] { item.entete.intervenant.Value }); 
                
                if (intervenants != null && intervenants.Length == 1) 
                    ligneHisto.intervenant_historique.Value = intervenants[0].Nom + " " + intervenants[0].Prenom;
            }
            else
            {
                ligneHisto.intervenant_historique.Value = "???";
            }
            this.historique.Items.Add(ligneHisto);
        }
    }
}

public override void OnCreate(Module.Contracts.DataNode parameters)
{
    entete.Item.OnCreate(parameters);
    RafraichirHistorique(null);
}

public override void OnEdit()
{
    RafraichirHistorique(null);
}